# Global

##

### Methods

#### registerMethods(methods, typeopt)

This function adds the provided methods to the prototype of the corresponding typed collection. If no type is passed, the methods are added to Collection.prototype and are available for all collections.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`methods` | Object |  | Methods to add to the prototype
`type` | Type | <optional> | Optional type to add the methods to

Source:
  - Collection.js, line 321